Binary files hyperv_w10_20150906/apic.dat and hyperv_w10_1703/apic.dat differ
diff -ur hyperv_w10_20150906/apic.dsl hyperv_w10_1703/apic.dsl
--- hyperv_w10_20150906/apic.dsl	2017-04-23 19:37:21.886455000 +0200
+++ hyperv_w10_1703/apic.dsl	2017-04-23 19:37:30.286539000 +0200
@@ -3,7 +3,7 @@
  * AML/ASL+ Disassembler version 20170303 (64-bit version)
  * Copyright (c) 2000 - 2017 Intel Corporation
  * 
- * Disassembly of apic.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of apic.dat, Sun Apr 23 19:37:30 2017
  *
  * ACPI Data Table [APIC]
  *
@@ -11,12 +11,12 @@
  */
 
 [000h 0000   4]                    Signature : "APIC"    [Multiple APIC Description Table (MADT)]
-[004h 0004   4]                 Table Length : 0000024C
+[004h 0004   4]                 Table Length : 00000452
 [008h 0008   1]                     Revision : 01
-[009h 0009   1]                     Checksum : 5D
+[009h 0009   1]                     Checksum : 67
 [00Ah 0010   6]                       Oem ID : "VRTUAL"
 [010h 0016   8]                 Oem Table ID : "MICROSFT"
-[018h 0024   4]                 Oem Revision : 05001223
+[018h 0024   4]                 Oem Revision : 01001706
 [01Ch 0028   4]              Asl Compiler ID : "MSFT"
 [020h 0032   4]        Asl Compiler Revision : 00000097
 
@@ -472,35 +472,491 @@
 [228h 0552   4]        Flags (decoded below) : 00000000
                            Processor Enabled : 0
 
-[22Ch 0556   1]                Subtable Type : 02 [Interrupt Source Override]
-[22Dh 0557   1]                       Length : 0A
-[22Eh 0558   1]                          Bus : 00
-[22Fh 0559   1]                       Source : 00
-[230h 0560   4]                    Interrupt : 00000002
-[234h 0564   2]        Flags (decoded below) : 0000
+[22Ch 0556   1]                Subtable Type : 00 [Processor Local APIC]
+[22Dh 0557   1]                       Length : 08
+[22Eh 0558   1]                 Processor ID : 41
+[22Fh 0559   1]                Local Apic ID : 40
+[230h 0560   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[234h 0564   1]                Subtable Type : 00 [Processor Local APIC]
+[235h 0565   1]                       Length : 08
+[236h 0566   1]                 Processor ID : 42
+[237h 0567   1]                Local Apic ID : 41
+[238h 0568   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[23Ch 0572   1]                Subtable Type : 00 [Processor Local APIC]
+[23Dh 0573   1]                       Length : 08
+[23Eh 0574   1]                 Processor ID : 43
+[23Fh 0575   1]                Local Apic ID : 42
+[240h 0576   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[244h 0580   1]                Subtable Type : 00 [Processor Local APIC]
+[245h 0581   1]                       Length : 08
+[246h 0582   1]                 Processor ID : 44
+[247h 0583   1]                Local Apic ID : 43
+[248h 0584   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[24Ch 0588   1]                Subtable Type : 00 [Processor Local APIC]
+[24Dh 0589   1]                       Length : 08
+[24Eh 0590   1]                 Processor ID : 45
+[24Fh 0591   1]                Local Apic ID : 44
+[250h 0592   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[254h 0596   1]                Subtable Type : 00 [Processor Local APIC]
+[255h 0597   1]                       Length : 08
+[256h 0598   1]                 Processor ID : 46
+[257h 0599   1]                Local Apic ID : 45
+[258h 0600   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[25Ch 0604   1]                Subtable Type : 00 [Processor Local APIC]
+[25Dh 0605   1]                       Length : 08
+[25Eh 0606   1]                 Processor ID : 47
+[25Fh 0607   1]                Local Apic ID : 46
+[260h 0608   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[264h 0612   1]                Subtable Type : 00 [Processor Local APIC]
+[265h 0613   1]                       Length : 08
+[266h 0614   1]                 Processor ID : 48
+[267h 0615   1]                Local Apic ID : 47
+[268h 0616   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[26Ch 0620   1]                Subtable Type : 00 [Processor Local APIC]
+[26Dh 0621   1]                       Length : 08
+[26Eh 0622   1]                 Processor ID : 49
+[26Fh 0623   1]                Local Apic ID : 48
+[270h 0624   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[274h 0628   1]                Subtable Type : 00 [Processor Local APIC]
+[275h 0629   1]                       Length : 08
+[276h 0630   1]                 Processor ID : 4A
+[277h 0631   1]                Local Apic ID : 49
+[278h 0632   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[27Ch 0636   1]                Subtable Type : 00 [Processor Local APIC]
+[27Dh 0637   1]                       Length : 08
+[27Eh 0638   1]                 Processor ID : 4B
+[27Fh 0639   1]                Local Apic ID : 4A
+[280h 0640   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[284h 0644   1]                Subtable Type : 00 [Processor Local APIC]
+[285h 0645   1]                       Length : 08
+[286h 0646   1]                 Processor ID : 4C
+[287h 0647   1]                Local Apic ID : 4B
+[288h 0648   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[28Ch 0652   1]                Subtable Type : 00 [Processor Local APIC]
+[28Dh 0653   1]                       Length : 08
+[28Eh 0654   1]                 Processor ID : 4D
+[28Fh 0655   1]                Local Apic ID : 4C
+[290h 0656   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[294h 0660   1]                Subtable Type : 00 [Processor Local APIC]
+[295h 0661   1]                       Length : 08
+[296h 0662   1]                 Processor ID : 4E
+[297h 0663   1]                Local Apic ID : 4D
+[298h 0664   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[29Ch 0668   1]                Subtable Type : 00 [Processor Local APIC]
+[29Dh 0669   1]                       Length : 08
+[29Eh 0670   1]                 Processor ID : 4F
+[29Fh 0671   1]                Local Apic ID : 4E
+[2A0h 0672   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2A4h 0676   1]                Subtable Type : 00 [Processor Local APIC]
+[2A5h 0677   1]                       Length : 08
+[2A6h 0678   1]                 Processor ID : 50
+[2A7h 0679   1]                Local Apic ID : 4F
+[2A8h 0680   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2ACh 0684   1]                Subtable Type : 00 [Processor Local APIC]
+[2ADh 0685   1]                       Length : 08
+[2AEh 0686   1]                 Processor ID : 51
+[2AFh 0687   1]                Local Apic ID : 50
+[2B0h 0688   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2B4h 0692   1]                Subtable Type : 00 [Processor Local APIC]
+[2B5h 0693   1]                       Length : 08
+[2B6h 0694   1]                 Processor ID : 52
+[2B7h 0695   1]                Local Apic ID : 51
+[2B8h 0696   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2BCh 0700   1]                Subtable Type : 00 [Processor Local APIC]
+[2BDh 0701   1]                       Length : 08
+[2BEh 0702   1]                 Processor ID : 53
+[2BFh 0703   1]                Local Apic ID : 52
+[2C0h 0704   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2C4h 0708   1]                Subtable Type : 00 [Processor Local APIC]
+[2C5h 0709   1]                       Length : 08
+[2C6h 0710   1]                 Processor ID : 54
+[2C7h 0711   1]                Local Apic ID : 53
+[2C8h 0712   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2CCh 0716   1]                Subtable Type : 00 [Processor Local APIC]
+[2CDh 0717   1]                       Length : 08
+[2CEh 0718   1]                 Processor ID : 55
+[2CFh 0719   1]                Local Apic ID : 54
+[2D0h 0720   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2D4h 0724   1]                Subtable Type : 00 [Processor Local APIC]
+[2D5h 0725   1]                       Length : 08
+[2D6h 0726   1]                 Processor ID : 56
+[2D7h 0727   1]                Local Apic ID : 55
+[2D8h 0728   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2DCh 0732   1]                Subtable Type : 00 [Processor Local APIC]
+[2DDh 0733   1]                       Length : 08
+[2DEh 0734   1]                 Processor ID : 57
+[2DFh 0735   1]                Local Apic ID : 56
+[2E0h 0736   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2E4h 0740   1]                Subtable Type : 00 [Processor Local APIC]
+[2E5h 0741   1]                       Length : 08
+[2E6h 0742   1]                 Processor ID : 58
+[2E7h 0743   1]                Local Apic ID : 57
+[2E8h 0744   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2ECh 0748   1]                Subtable Type : 00 [Processor Local APIC]
+[2EDh 0749   1]                       Length : 08
+[2EEh 0750   1]                 Processor ID : 59
+[2EFh 0751   1]                Local Apic ID : 58
+[2F0h 0752   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2F4h 0756   1]                Subtable Type : 00 [Processor Local APIC]
+[2F5h 0757   1]                       Length : 08
+[2F6h 0758   1]                 Processor ID : 5A
+[2F7h 0759   1]                Local Apic ID : 59
+[2F8h 0760   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[2FCh 0764   1]                Subtable Type : 00 [Processor Local APIC]
+[2FDh 0765   1]                       Length : 08
+[2FEh 0766   1]                 Processor ID : 5B
+[2FFh 0767   1]                Local Apic ID : 5A
+[300h 0768   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[304h 0772   1]                Subtable Type : 00 [Processor Local APIC]
+[305h 0773   1]                       Length : 08
+[306h 0774   1]                 Processor ID : 5C
+[307h 0775   1]                Local Apic ID : 5B
+[308h 0776   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[30Ch 0780   1]                Subtable Type : 00 [Processor Local APIC]
+[30Dh 0781   1]                       Length : 08
+[30Eh 0782   1]                 Processor ID : 5D
+[30Fh 0783   1]                Local Apic ID : 5C
+[310h 0784   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[314h 0788   1]                Subtable Type : 00 [Processor Local APIC]
+[315h 0789   1]                       Length : 08
+[316h 0790   1]                 Processor ID : 5E
+[317h 0791   1]                Local Apic ID : 5D
+[318h 0792   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[31Ch 0796   1]                Subtable Type : 00 [Processor Local APIC]
+[31Dh 0797   1]                       Length : 08
+[31Eh 0798   1]                 Processor ID : 5F
+[31Fh 0799   1]                Local Apic ID : 5E
+[320h 0800   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[324h 0804   1]                Subtable Type : 00 [Processor Local APIC]
+[325h 0805   1]                       Length : 08
+[326h 0806   1]                 Processor ID : 60
+[327h 0807   1]                Local Apic ID : 5F
+[328h 0808   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[32Ch 0812   1]                Subtable Type : 00 [Processor Local APIC]
+[32Dh 0813   1]                       Length : 08
+[32Eh 0814   1]                 Processor ID : 61
+[32Fh 0815   1]                Local Apic ID : 60
+[330h 0816   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[334h 0820   1]                Subtable Type : 00 [Processor Local APIC]
+[335h 0821   1]                       Length : 08
+[336h 0822   1]                 Processor ID : 62
+[337h 0823   1]                Local Apic ID : 61
+[338h 0824   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[33Ch 0828   1]                Subtable Type : 00 [Processor Local APIC]
+[33Dh 0829   1]                       Length : 08
+[33Eh 0830   1]                 Processor ID : 63
+[33Fh 0831   1]                Local Apic ID : 62
+[340h 0832   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[344h 0836   1]                Subtable Type : 00 [Processor Local APIC]
+[345h 0837   1]                       Length : 08
+[346h 0838   1]                 Processor ID : 64
+[347h 0839   1]                Local Apic ID : 63
+[348h 0840   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[34Ch 0844   1]                Subtable Type : 00 [Processor Local APIC]
+[34Dh 0845   1]                       Length : 08
+[34Eh 0846   1]                 Processor ID : 65
+[34Fh 0847   1]                Local Apic ID : 64
+[350h 0848   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[354h 0852   1]                Subtable Type : 00 [Processor Local APIC]
+[355h 0853   1]                       Length : 08
+[356h 0854   1]                 Processor ID : 66
+[357h 0855   1]                Local Apic ID : 65
+[358h 0856   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[35Ch 0860   1]                Subtable Type : 00 [Processor Local APIC]
+[35Dh 0861   1]                       Length : 08
+[35Eh 0862   1]                 Processor ID : 67
+[35Fh 0863   1]                Local Apic ID : 66
+[360h 0864   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[364h 0868   1]                Subtable Type : 00 [Processor Local APIC]
+[365h 0869   1]                       Length : 08
+[366h 0870   1]                 Processor ID : 68
+[367h 0871   1]                Local Apic ID : 67
+[368h 0872   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[36Ch 0876   1]                Subtable Type : 00 [Processor Local APIC]
+[36Dh 0877   1]                       Length : 08
+[36Eh 0878   1]                 Processor ID : 69
+[36Fh 0879   1]                Local Apic ID : 68
+[370h 0880   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[374h 0884   1]                Subtable Type : 00 [Processor Local APIC]
+[375h 0885   1]                       Length : 08
+[376h 0886   1]                 Processor ID : 6A
+[377h 0887   1]                Local Apic ID : 69
+[378h 0888   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[37Ch 0892   1]                Subtable Type : 00 [Processor Local APIC]
+[37Dh 0893   1]                       Length : 08
+[37Eh 0894   1]                 Processor ID : 6B
+[37Fh 0895   1]                Local Apic ID : 6A
+[380h 0896   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[384h 0900   1]                Subtable Type : 00 [Processor Local APIC]
+[385h 0901   1]                       Length : 08
+[386h 0902   1]                 Processor ID : 6C
+[387h 0903   1]                Local Apic ID : 6B
+[388h 0904   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[38Ch 0908   1]                Subtable Type : 00 [Processor Local APIC]
+[38Dh 0909   1]                       Length : 08
+[38Eh 0910   1]                 Processor ID : 6D
+[38Fh 0911   1]                Local Apic ID : 6C
+[390h 0912   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[394h 0916   1]                Subtable Type : 00 [Processor Local APIC]
+[395h 0917   1]                       Length : 08
+[396h 0918   1]                 Processor ID : 6E
+[397h 0919   1]                Local Apic ID : 6D
+[398h 0920   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[39Ch 0924   1]                Subtable Type : 00 [Processor Local APIC]
+[39Dh 0925   1]                       Length : 08
+[39Eh 0926   1]                 Processor ID : 6F
+[39Fh 0927   1]                Local Apic ID : 6E
+[3A0h 0928   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3A4h 0932   1]                Subtable Type : 00 [Processor Local APIC]
+[3A5h 0933   1]                       Length : 08
+[3A6h 0934   1]                 Processor ID : 70
+[3A7h 0935   1]                Local Apic ID : 6F
+[3A8h 0936   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3ACh 0940   1]                Subtable Type : 00 [Processor Local APIC]
+[3ADh 0941   1]                       Length : 08
+[3AEh 0942   1]                 Processor ID : 71
+[3AFh 0943   1]                Local Apic ID : 70
+[3B0h 0944   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3B4h 0948   1]                Subtable Type : 00 [Processor Local APIC]
+[3B5h 0949   1]                       Length : 08
+[3B6h 0950   1]                 Processor ID : 72
+[3B7h 0951   1]                Local Apic ID : 71
+[3B8h 0952   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3BCh 0956   1]                Subtable Type : 00 [Processor Local APIC]
+[3BDh 0957   1]                       Length : 08
+[3BEh 0958   1]                 Processor ID : 73
+[3BFh 0959   1]                Local Apic ID : 72
+[3C0h 0960   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3C4h 0964   1]                Subtable Type : 00 [Processor Local APIC]
+[3C5h 0965   1]                       Length : 08
+[3C6h 0966   1]                 Processor ID : 74
+[3C7h 0967   1]                Local Apic ID : 73
+[3C8h 0968   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3CCh 0972   1]                Subtable Type : 00 [Processor Local APIC]
+[3CDh 0973   1]                       Length : 08
+[3CEh 0974   1]                 Processor ID : 75
+[3CFh 0975   1]                Local Apic ID : 74
+[3D0h 0976   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3D4h 0980   1]                Subtable Type : 00 [Processor Local APIC]
+[3D5h 0981   1]                       Length : 08
+[3D6h 0982   1]                 Processor ID : 76
+[3D7h 0983   1]                Local Apic ID : 75
+[3D8h 0984   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3DCh 0988   1]                Subtable Type : 00 [Processor Local APIC]
+[3DDh 0989   1]                       Length : 08
+[3DEh 0990   1]                 Processor ID : 77
+[3DFh 0991   1]                Local Apic ID : 76
+[3E0h 0992   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3E4h 0996   1]                Subtable Type : 00 [Processor Local APIC]
+[3E5h 0997   1]                       Length : 08
+[3E6h 0998   1]                 Processor ID : 78
+[3E7h 0999   1]                Local Apic ID : 77
+[3E8h 1000   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3ECh 1004   1]                Subtable Type : 00 [Processor Local APIC]
+[3EDh 1005   1]                       Length : 08
+[3EEh 1006   1]                 Processor ID : 79
+[3EFh 1007   1]                Local Apic ID : 78
+[3F0h 1008   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3F4h 1012   1]                Subtable Type : 00 [Processor Local APIC]
+[3F5h 1013   1]                       Length : 08
+[3F6h 1014   1]                 Processor ID : 7A
+[3F7h 1015   1]                Local Apic ID : 79
+[3F8h 1016   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[3FCh 1020   1]                Subtable Type : 00 [Processor Local APIC]
+[3FDh 1021   1]                       Length : 08
+[3FEh 1022   1]                 Processor ID : 7B
+[3FFh 1023   1]                Local Apic ID : 7A
+[400h 1024   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[404h 1028   1]                Subtable Type : 00 [Processor Local APIC]
+[405h 1029   1]                       Length : 08
+[406h 1030   1]                 Processor ID : 7C
+[407h 1031   1]                Local Apic ID : 7B
+[408h 1032   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[40Ch 1036   1]                Subtable Type : 00 [Processor Local APIC]
+[40Dh 1037   1]                       Length : 08
+[40Eh 1038   1]                 Processor ID : 7D
+[40Fh 1039   1]                Local Apic ID : 7C
+[410h 1040   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[414h 1044   1]                Subtable Type : 00 [Processor Local APIC]
+[415h 1045   1]                       Length : 08
+[416h 1046   1]                 Processor ID : 7E
+[417h 1047   1]                Local Apic ID : 7D
+[418h 1048   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[41Ch 1052   1]                Subtable Type : 00 [Processor Local APIC]
+[41Dh 1053   1]                       Length : 08
+[41Eh 1054   1]                 Processor ID : 7F
+[41Fh 1055   1]                Local Apic ID : 7E
+[420h 1056   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[424h 1060   1]                Subtable Type : 00 [Processor Local APIC]
+[425h 1061   1]                       Length : 08
+[426h 1062   1]                 Processor ID : 80
+[427h 1063   1]                Local Apic ID : 7F
+[428h 1064   4]        Flags (decoded below) : 00000000
+                           Processor Enabled : 0
+
+[42Ch 1068   1]                Subtable Type : 02 [Interrupt Source Override]
+[42Dh 1069   1]                       Length : 0A
+[42Eh 1070   1]                          Bus : 00
+[42Fh 1071   1]                       Source : 00
+[430h 1072   4]                    Interrupt : 00000002
+[434h 1076   2]        Flags (decoded below) : 0000
                                     Polarity : 0
                                 Trigger Mode : 0
 
-[236h 0566   1]                Subtable Type : 02 [Interrupt Source Override]
-[237h 0567   1]                       Length : 0A
-[238h 0568   1]                          Bus : 00
-[239h 0569   1]                       Source : 09
-[23Ah 0570   4]                    Interrupt : 00000009
-[23Eh 0574   2]        Flags (decoded below) : 000D
+[436h 1078   1]                Subtable Type : 02 [Interrupt Source Override]
+[437h 1079   1]                       Length : 0A
+[438h 1080   1]                          Bus : 00
+[439h 1081   1]                       Source : 09
+[43Ah 1082   4]                    Interrupt : 00000009
+[43Eh 1086   2]        Flags (decoded below) : 000D
                                     Polarity : 1
                                 Trigger Mode : 3
 
-[240h 0576   1]                Subtable Type : 01 [I/O APIC]
-[241h 0577   1]                       Length : 0C
-[242h 0578   1]                  I/O Apic ID : 00
-[243h 0579   1]                     Reserved : 00
-[244h 0580   4]                      Address : FEC00000
-[248h 0584   4]                    Interrupt : 00000000
+[440h 1088   1]                Subtable Type : 01 [I/O APIC]
+[441h 1089   1]                       Length : 0C
+[442h 1090   1]                  I/O Apic ID : 00
+[443h 1091   1]                     Reserved : 00
+[444h 1092   4]                      Address : FEC00000
+[448h 1096   4]                    Interrupt : 00000000
+
+[44Ch 1100   1]                Subtable Type : 04 [Local APIC NMI]
+[44Dh 1101   1]                       Length : 06
+[44Eh 1102   1]                 Processor ID : FF
+[44Fh 1103   2]        Flags (decoded below) : 0000
+                                    Polarity : 0
+                                Trigger Mode : 0
+[451h 1105   1]         Interrupt Input LINT : 01
 
-Raw Table Data: Length 588 (0x24C)
+Raw Table Data: Length 1106 (0x452)
 
-  0000: 41 50 49 43 4C 02 00 00 01 5D 56 52 54 55 41 4C  // APICL....]VRTUAL
-  0010: 4D 49 43 52 4F 53 46 54 23 12 00 05 4D 53 46 54  // MICROSFT#...MSFT
+  0000: 41 50 49 43 52 04 00 00 01 67 56 52 54 55 41 4C  // APICR....gVRTUAL
+  0010: 4D 49 43 52 4F 53 46 54 06 17 00 01 4D 53 46 54  // MICROSFT....MSFT
   0020: 97 00 00 00 00 00 E0 FE 01 00 00 00 00 08 01 00  // ................
   0030: 01 00 00 00 00 08 02 01 01 00 00 00 00 08 03 02  // ................
   0040: 01 00 00 00 00 08 04 03 01 00 00 00 00 08 05 04  // ................
@@ -533,6 +989,39 @@
   01F0: 00 00 00 00 00 08 3A 39 00 00 00 00 00 08 3B 3A  // ......:9......;:
   0200: 00 00 00 00 00 08 3C 3B 00 00 00 00 00 08 3D 3C  // ......<;......=<
   0210: 00 00 00 00 00 08 3E 3D 00 00 00 00 00 08 3F 3E  // ......>=......?>
-  0220: 00 00 00 00 00 08 40 3F 00 00 00 00 02 0A 00 00  // ......@?........
-  0230: 02 00 00 00 00 00 02 0A 00 09 09 00 00 00 0D 00  // ................
-  0240: 01 0C 00 00 00 00 C0 FE 00 00 00 00              // ............
+  0220: 00 00 00 00 00 08 40 3F 00 00 00 00 00 08 41 40  // ......@?......A@
+  0230: 00 00 00 00 00 08 42 41 00 00 00 00 00 08 43 42  // ......BA......CB
+  0240: 00 00 00 00 00 08 44 43 00 00 00 00 00 08 45 44  // ......DC......ED
+  0250: 00 00 00 00 00 08 46 45 00 00 00 00 00 08 47 46  // ......FE......GF
+  0260: 00 00 00 00 00 08 48 47 00 00 00 00 00 08 49 48  // ......HG......IH
+  0270: 00 00 00 00 00 08 4A 49 00 00 00 00 00 08 4B 4A  // ......JI......KJ
+  0280: 00 00 00 00 00 08 4C 4B 00 00 00 00 00 08 4D 4C  // ......LK......ML
+  0290: 00 00 00 00 00 08 4E 4D 00 00 00 00 00 08 4F 4E  // ......NM......ON
+  02A0: 00 00 00 00 00 08 50 4F 00 00 00 00 00 08 51 50  // ......PO......QP
+  02B0: 00 00 00 00 00 08 52 51 00 00 00 00 00 08 53 52  // ......RQ......SR
+  02C0: 00 00 00 00 00 08 54 53 00 00 00 00 00 08 55 54  // ......TS......UT
+  02D0: 00 00 00 00 00 08 56 55 00 00 00 00 00 08 57 56  // ......VU......WV
+  02E0: 00 00 00 00 00 08 58 57 00 00 00 00 00 08 59 58  // ......XW......YX
+  02F0: 00 00 00 00 00 08 5A 59 00 00 00 00 00 08 5B 5A  // ......ZY......[Z
+  0300: 00 00 00 00 00 08 5C 5B 00 00 00 00 00 08 5D 5C  // ......\[......]\
+  0310: 00 00 00 00 00 08 5E 5D 00 00 00 00 00 08 5F 5E  // ......^]......_^
+  0320: 00 00 00 00 00 08 60 5F 00 00 00 00 00 08 61 60  // ......`_......a`
+  0330: 00 00 00 00 00 08 62 61 00 00 00 00 00 08 63 62  // ......ba......cb
+  0340: 00 00 00 00 00 08 64 63 00 00 00 00 00 08 65 64  // ......dc......ed
+  0350: 00 00 00 00 00 08 66 65 00 00 00 00 00 08 67 66  // ......fe......gf
+  0360: 00 00 00 00 00 08 68 67 00 00 00 00 00 08 69 68  // ......hg......ih
+  0370: 00 00 00 00 00 08 6A 69 00 00 00 00 00 08 6B 6A  // ......ji......kj
+  0380: 00 00 00 00 00 08 6C 6B 00 00 00 00 00 08 6D 6C  // ......lk......ml
+  0390: 00 00 00 00 00 08 6E 6D 00 00 00 00 00 08 6F 6E  // ......nm......on
+  03A0: 00 00 00 00 00 08 70 6F 00 00 00 00 00 08 71 70  // ......po......qp
+  03B0: 00 00 00 00 00 08 72 71 00 00 00 00 00 08 73 72  // ......rq......sr
+  03C0: 00 00 00 00 00 08 74 73 00 00 00 00 00 08 75 74  // ......ts......ut
+  03D0: 00 00 00 00 00 08 76 75 00 00 00 00 00 08 77 76  // ......vu......wv
+  03E0: 00 00 00 00 00 08 78 77 00 00 00 00 00 08 79 78  // ......xw......yx
+  03F0: 00 00 00 00 00 08 7A 79 00 00 00 00 00 08 7B 7A  // ......zy......{z
+  0400: 00 00 00 00 00 08 7C 7B 00 00 00 00 00 08 7D 7C  // ......|{......}|
+  0410: 00 00 00 00 00 08 7E 7D 00 00 00 00 00 08 7F 7E  // ......~}.......~
+  0420: 00 00 00 00 00 08 80 7F 00 00 00 00 02 0A 00 00  // ................
+  0430: 02 00 00 00 00 00 02 0A 00 09 09 00 00 00 0D 00  // ................
+  0440: 01 0C 00 00 00 00 C0 FE 00 00 00 00 04 06 FF 00  // ................
+  0450: 00 01                                            // ..
Binary files hyperv_w10_20150906/dsdt.dat and hyperv_w10_1703/dsdt.dat differ
diff -ur hyperv_w10_20150906/dsdt.dsl hyperv_w10_1703/dsdt.dsl
--- hyperv_w10_20150906/dsdt.dsl	2017-04-23 19:37:21.936455000 +0200
+++ hyperv_w10_1703/dsdt.dsl	2017-04-23 19:37:30.306539000 +0200
@@ -5,13 +5,13 @@
  * 
  * Disassembling to symbolic ASL+ operators
  *
- * Disassembly of dsdt.dat, Sun Apr 23 19:37:21 2017
+ * Disassembly of dsdt.dat, Sun Apr 23 19:37:30 2017
  *
  * Original Table Header:
  *     Signature        "DSDT"
- *     Length           0x00002E78 (11896)
+ *     Length           0x00003CBE (15550)
  *     Revision         0x01 **** 32-bit table (V1), no 64-bit math support
- *     Checksum         0x7B
+ *     Checksum         0x92
  *     OEM ID           "MSFTVM"
  *     OEM Table ID     "MSFTVM02"
  *     OEM Revision     0x00000002 (2)
@@ -1868,6 +1868,7 @@
     {
         Name (WIN6, 0x00)
         Name (WIN8, 0x00)
+        Name (WINB, 0x00)
         Method (_INI, 0, NotSerialized)  // _INI: Initialize
         {
             If (CondRefOf (\_OSI, Local0))
@@ -1881,6 +1882,11 @@
                 {
                     WIN8 = 0x01
                 }
+
+                If (\_OSI ("Windows 2013"))
+                {
+                    WINB = 0x01
+                }
             }
         }
 
